ServiceContext
Keywords: org.gcube.informationsystem.notifier.impl.ServiceContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.impl
Class ServiceContext

    java.lang.Object
      org.gcube.common.core.contexts.GCUBEContext
          org.gcube.common.core.contexts.GCUBEServiceContext
              org.gcube.informationsystem.notifier.impl.ServiceContext

All Implemented Interfaces:
  org.gcube.common.core.scope.GCUBEScopeManager, org.gcube.common.core.security.GCUBESecurityManager, org.gcube.common.core.security.GCUBEServiceSecurityManager

    public class ServiceContext

extends org.gcube.common.core.contexts.GCUBEServiceContext

Author:
  Andrea Manzi(ISTI_CNR)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`org.gcube.common.core.contexts.GCUBEServiceContext.IllegalStateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeEvent, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeTopic, org.gcube.common.core.contexts.GCUBEServiceContext.StateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.Status`

Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBEServiceSecurityManager
`org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeConsumer, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeEvent, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeTopic`

Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBESecurityManager
`org.gcube.common.core.security.GCUBESecurityManager.AuthMode, org.gcube.common.core.security.GCUBESecurityManager.DelegationMode`

Nested classes/interfaces inherited from interface org.gcube.common.core.scope.GCUBEScopeManager
`org.gcube.common.core.scope.GCUBEScopeManager.IllegalScopeException`

Field Summary
`static java.lang.String` | `JNDI_NAME`

Fields inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`CONFIG_DIR_JNDI_NAME, PERSISTENCE_MANAGER_JNDI_NAME, PLUGIN_MANAGER_JNDI_NAME, PROFILE_FILE_NAME, RIPROFILE_FILENAME, SECURITY_MANAGER_JNDI_NAME, START_SCOPES_JNDI_NAME`

Fields inherited from interface org.gcube.common.core.scope.GCUBEScopeManager
`CLASS_HEADER_NAME, NAME_HEADER_NAME, SCOPE_HEADER_NAME, SCOPE_NS`

Method Summary
`static ServiceContext` | `getContext()`
`java.lang.String` | `getJNDIName()`

Methods inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`addScope, authoriseCall, getCallerCredentials, getCredentials, getDefaultException, getDefaultException, getFile, getID, getInstance, getLogger, getManagementBean, getName, getPersistenceRoot, getPersistentFile, getPluginManager, getPolicy, getProperty, getScope, getScopeManager, getService, getServiceClass, getServiceCredentials, getStartScopes, getStatus, initialise, isSecurityEnabled, needServiceCredentials, notifyStateChange, prepareCall, removeScope, setScope, setScope, setScope, setSecurity, setStatus, subscribe, subscribeLifetTime, unsubscribe, unsubscribeLifetTime, useCallerCredentials, useCredentials, useCredentials, useServiceCredentials`

Methods inherited from class org.gcube.common.core.contexts.GCUBEContext
`debugContext, getResource, getTiming, printContext, resetTimer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

See Also:
  Constant Field Values

Method Detail

### getContext

    public static ServiceContext getContext()

### getJNDIName

    public java.lang.String getJNDIName()

  Specified by:
    `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEServiceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD